Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6444)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6476)
@@ -499,5 +499,5 @@
 
 	    var isShared = !objEvent.id ? false : (!!objEvent.calendar) && parseInt(Calendar.signatureOf[objEvent.calendar].isOwner) ? false : true;
-
+	    var limitAttendee = false;
 
 	    return {
@@ -587,5 +587,6 @@
 		me: me,
 		delegatedFrom: delegatedFrom,
-		statusParticipants: statusParticipants
+		statusParticipants: (objEvent.sizeAttendees != "") ? objEvent.statusAttendees : statusParticipants,
+		sizeAttendeeLimit: (objEvent.sizeAttendees != "") ? objEvent.sizeAttendees : false
 	    };
 	});
Index: trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- trunk/prototype/modules/calendar/js/helpers.js	(revision 6444)
+++ trunk/prototype/modules/calendar/js/helpers.js	(revision 6476)
@@ -437,9 +437,9 @@
 									
 			    /**
-									 * Uma vez aberta uma janela de confirmação (Zebra_Dialog), ao fechá-la
-									 * com ESC, para que o evento ESC não seja propagado para fechamento da
-									 * janela de edição de eventos, deve ser setada uma flag indicando que
-									 * já existe uma janela de confirmação aberta.
-									 */
+			    * Uma vez aberta uma janela de confirmação (Zebra_Dialog), ao fechá-la
+			    * com ESC, para que o evento ESC não seja propagado para fechamento da
+			    * janela de edição de eventos, deve ser setada uma flag indicando que
+			    * já existe uma janela de confirmação aberta.
+			    */
 			    if (!clicked) {
 				window.setTimeout(function() {
@@ -658,5 +658,9 @@
 		return Calendar.signatures[i].calendar.id;
 }
-		
+
+/*Seleciona a agenda padrão para visualização/edição de um evento*/
+if(objEvent.id)
+    UI.dialogs.addEvent.find('option[value="'+objEvent.calendar+'"]').attr('selected','selected').trigger('change');
+
 /*Adicionar alarms padrões, quando alterado a agenda do usuário*/		
 UI.dialogs.addEvent.find('select[name="calendar"]').change(function(){
@@ -678,4 +682,5 @@
 	    $(this).parent().remove().find('li').is(':empty');
 	});
+
     }else{
 	UI.dialogs.addEvent.find('input[name="defaultAlarm"]').parent().addClass('hidden');
@@ -683,7 +688,9 @@
 }
 
-var participant =  UI.dialogs.addEvent.find('dd.me input[name="attendee[]"]').val();
-    if( !parseInt(Calendar.signatureOf[$(this).val()].isOwner) ){
-	var signature = Calendar.signatureOf[$(this).val()];
+    var participant =  UI.dialogs.addEvent.find('dd.me input[name="attendee[]"]').val();
+    var calendar = $(this).val();
+    
+    if( !parseInt(Calendar.signatureOf[calendar].isOwner) ){
+	var signature = Calendar.signatureOf[calendar];
 	var organizer = DataLayer.get('calendarSignature', {
 	    filter: ['AND', ['=','calendar',signature.calendar.id], ['=','isOwner','1']], 
@@ -717,4 +724,5 @@
     .filter('.mail').html(User.me.mail).attr('title',User.me.mail);
 }
+
 });
 
@@ -1530,8 +1538,6 @@
     if(acls.remove)
 	UI.dialogs.addEvent.find('.button.remove').show();
-		
-    UI.dialogs.addEvent.find('.button.cancel').show();
-		
-	
+    
+    UI.dialogs.addEvent.find('.button.cancel').show();	
 }
 
@@ -1539,7 +1545,8 @@
 
 /*Seleciona a agenda padrão para criação de um evento*/
-var selectedCalendar = (objEvent.calendar != undefined) ? objEvent.calendar : (User.preferences.defaultCalendar ? User.preferences.defaultCalendar : myCalendar());
-UI.dialogs.addEvent.find('option[value="'+selectedCalendar+'"]').attr('selected','selected').trigger('change');
-
+if(!objEvent.id){
+    var selectedCalendar = (objEvent.calendar != undefined) ? objEvent.calendar : (User.preferences.defaultCalendar ? User.preferences.defaultCalendar : myCalendar());
+    UI.dialogs.addEvent.find('option[value="'+selectedCalendar+'"]').attr('selected','selected').trigger('change');
+}
 UI.dialogs.addEvent.find(':input').change(function(event){
     if (event.keyCode != '27' && event.keyCode != '13')
@@ -2543,5 +2550,6 @@
     }
 }
-	$tabs.tabs("select", currentView);
+	if(currentView != '#tab_events_list_')
+	    $tabs.tabs("select", currentView);
 }
 
@@ -2758,5 +2766,23 @@
 
     }
-	
-
-}
+}
+
+function messageHelper(msg, isShow){
+    if(isShow)
+	new $.Zebra_Dialog('<span style="width: 50px; height: 50px;">'+
+			    '<img src="'+DataLayer.dispatchPath+'/modules/calendar/img/loading.gif"></img>'+
+			'</span><label class="messagesHelpers"> '+ msg +' </label>' , {
+			'buttons':  false,
+			'modal': true,
+			'overlay_opacity': '0.5',
+			'keyboard': false,
+			'overlay_close': false,
+			'type': false,
+			'custom_class': 'messagesHelpersExpressoCalendar'
+			}
+		    );
+    else{
+	$('.messagesHelpersExpressoCalendar').remove();
+	$('.ZebraDialogOverlay').remove();
+    }
+}